using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using ExceptionLog;

// Bitte beachten Sie auch den Fortsetzungsband zu diesem Buch, falls
// Ihnen das Programmieren Spaß gemacht hat und Sie sich fortgeschritteneren 
// Themen zuwenden wollen. Alle Informationen zum Fortsetzungsband finden
// Sie auf der Website: www.tiefer-einsteigen.de 


namespace TestExceptionLog
{
    class Program
    {
        static void Main(string[] args)
        {
            Logger logger = new Logger();
            logger.LogLevel = LoggingLevel.High;
            try
            {
                File.Open("Z:\\nichtvorhanden.txt", FileMode.Open);
            }
            catch (Exception ex)
            {
                logger.DoLog("Das hat leider nicht geklappt.");
                logger.DoLog(ex);
            }
        
        
        }
    }
}
